Troubleshooting

How To Fix Strict Standard Errors In ClipBucket

You can get countless errors after successful install of ClipBucket 2.6 which look something like this.

Strict Standards: Non-static method CBTemplate::assign() should not be called statically

This is because you installed ClipBucket 2.6 on a system with PHP version higher than 5.3.x. There is no other way to fix it but only one. And that is switching to PHP 5.3.x.

Here is how you can degrade PHP using WHM.

  1. Login to your WHM as root
  2. In left side bar, type ‘EasyApache’ in search box
  3. Click on EasyApache
  4. Select build option by scrolling down
  5. Once there hit “Start customizing based on profile”
  6. Here you can upgrade or degrade Apache version. Select desired version and click “Next Step”
  7. Now on this page you can do the same for PHP. Select version and click “Next Step”
  8. Select short exhaustive options list and start build.

Once your server has finished compiling and has restarted, try to install ClipBucket 2.6 and you should be able to do it without Strict Standard errors. Have fun.